pappso::FilterFloorY Class Reference

apply std::floor (round to lowest integer) to all Y values More...

`#include <filterpass.h>`

Inheritance diagram for pappso::FilterFloorY:

## Public Member Functions

| FilterFloorY ()
| FilterFloorY (const FilterFloorY &other)
virtual | ~FilterFloorY ()
FilterFloorY & | operator= (const FilterFloorY &other)
Trace & | filter (Trace &data_points) const override
Public Member Functions inherited from pappso::FilterInterface
virtual | ~FilterInterface ()

## Detailed Description

apply std::floor (round to lowest integer) to all Y values

Definition at line 165 of file filterpass.h.

## Constructor & Destructor Documentation

## FilterFloorY() [1/2]

FilterFloorY::FilterFloorY | ( |  | ) |

Definition at line 312 of file filterpass.cpp.

{
}

## FilterFloorY() [2/2]

pappso::FilterFloorY::FilterFloorY | ( | const FilterFloorY & | other | ) |

## ~FilterFloorY()

virtual pappso::FilterFloorY::~FilterFloorY | ( |  | ) |

inline virtual

Definition at line 171 of file filterpass.h.

{};

## Member Function Documentation

## filter()

Trace & FilterFloorY::filter | ( | Trace & | data_points | ) | const

override virtual

Implements pappso::FilterInterface.

Definition at line 327 of file filterpass.cpp.

{
for(auto &&dataPoint : data_points)
{
dataPoint.y = std::floor(dataPoint.y);
}
return data_points;
}

## operator=()

FilterFloorY & FilterFloorY::operator= | ( | const FilterFloorY & | other | ) |

Definition at line 320 of file filterpass.cpp.

{
return *this;
}

The documentation for this class was generated from the following files:

- pappsomspp/processing/filters/filterpass.h
- pappsomspp/processing/filters/filterpass.cpp